#
# spec file for package perl-RPM-VersionSort
#
# Copyright (c) 2017 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define module_name RPM-VersionSort

Name:           perl-RPM-VersionSort
Version:        1.00
Release:        11.1
Url:            http://cpan.org/modules/by-module/HTML/
Summary:        RPM version sorting algorithm, in perl XS
License:        Artistic-1.0-Perl
Group:          Development/Libraries/Perl
Source:         %{module_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  perl
BuildRequires:  perl-macros

%description
RPM uses a version number sorting algorithm for some of its decisions.  It's
useful to get at this sorting algoritm for other nefarious purposes if you
are using RPM at your site.

%prep
%setup -q -n %{module_name}-%{version}

%build
perl Makefile.PL OPTIMIZE="%optflags -Wall"
make

%check
make test

%install
%perl_make_install
%perl_process_packlist

%files
%defattr(-,root,root)
%doc Changes
%doc %{_mandir}/man?/*
%dir %{perl_vendorarch}/RPM
%dir %{perl_vendorarch}/auto/RPM
%{perl_vendorarch}/RPM/VersionSort.pm
%{perl_vendorarch}/auto/RPM/VersionSort

%changelog
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Thu Jan 22 2009 pth@suse.de
- Initial package
